<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row">
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "from_client"|normalize|title }}</label>
            <input type="text" class="form-control" value="{{ record.client_from }}" readonly />
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "for_client"|normalize|title }}</label>
            <input type="text" class="form-control" value="{{ record.client_for }}" readonly />
        </div>
    </div>
</div>
<div class="row">
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "date_delivered"|normalize|title }}</label>
            <input type="text" class="form-control" value="{{ record.delivery_receipt.date_delivered|humandate(date_only=True) }}" readonly />
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "date_received"|normalize|title }}</label>
            <input type="text" class="form-control" value="{{ record.date_created|humandate }}" readonly />
        </div>
    </div>
</div>
<div class="row">
    {% if record.date_completed %}
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "date_completed"|normalize|title }}</label>
            <input type="text" class="form-control" value="{{ record.date_completed|humandate }}" readonly />
        </div>
    </div>
    {% endif %}
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "price_total"|normalize|title }}</label>
            <input type="text" class="form-control" value="{{ record.price_total }}" readonly />
        </div>
    </div>
</div>
<div class="row mt-3">
    <div class="col-12">
        <h5>Items</h5>
        <table class="table table-striped table-hover table-bordered">
            <thead>
                <tr>
                    <th>Item Code</th>
                    <th>Quantity</th>
                    <th>Price per Unit</th>
                    <th>Lot Price</th>
                    <th>Location</th>
                    <th>Lot No.</th>
                    <th>Expiry Date</th>
                    <th>Manufacturing Date</th>
                    <th>Quality Control</th>
                    <th>Final Checking</th>
                </tr>
            </thead>
            <tbody>
                {% for item in record.items %}
                    <tr>
                        <td>{{ item.item_code }}</td>
                        <td>{{ item.quantity|float }}</td>
                        <td>{{ item.price_per_unit }}</td>
                        <td>{{ item.quantity|float * item.price_per_unit|float }}</td>
                        <td>{{ item.location }}</td>
                        <td>{{ item.lot_number }}</td>
                        <td>{{ item.expiry_date }}</td>
                        <td>{{ item.manufacturing_date }}</td>
                        <td>
                            {% if item.status >= 1 %}
                            {{ item.used_quality_control_nos }} - {{ item.date_quality|humandate }} by {{ item.quality_by }}
                            {% elif item.status == 0 %}
                            <a href="javascript:;" class="btn btn-secondary btn-sm btn-block" data-item-toggle="qc_passed" data-submit-target="{{ loop.index0 }}"> Pass QC</a>
                            {% endif %}
                        </td>
                        <td>
                            {% if item.status == 2 %}
                            {{ item.date_approved|humandate }} by {{ item.approved_by }}
                            {% elif item.status == 1 %}
                            <a href="javascript:;" class="btn btn-warning btn-sm btn-block" data-item-toggle="approved" data-submit-target="{{ loop.index0 }}"> Approve</a>
                            {% endif %}
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>
<script>
    $dom.document.on('click', '[data-item-toggle="qc_passed"]', function() {
        $self = $(this);
        Swal.fire({
            type: 'question',
            title: 'Quality Check Passed?',
            text: 'Input QC Number and submit for final checking',
            input: 'text',
            inputValidator: (value) => {
                return !value && 'Empty QC Number'
            },
            showCancelButton: true,
            focusCancel: true,
            confirmButtonText: 'Yes'
        }).then((result) => {
            if (result.value) {
                index = $self.attr('data-submit-target');
                $.post('{{ url_for(".change_item_status", _id=record._id) }}', {'index': index, 'status': 1, 'quality_control_no': result.value.toUpperCase()}, function() {})
                .done(function(response) {
                    if (isDefined(response.success) && response.success) {
                        $current_td = $self.closest('td');
                        $current_td.html('{0} - {1} by {2}'.format(result.value.toUpperCase(), response.date_quality, response.by));
                        $current_td.next().html('<a href="javascript:;" class="btn btn-warning btn-sm btn-block" data-item-toggle="approved" data-submit-target="{0}"> Approve</a>'.format(index))
                    }
                    else {
                        Swal.fire('Error', response.error, 'error');
                    }
                })
                .fail(function() {
                    Swal.fire('Error', 'Server Error', 'error');
                });
            }
        });
    });

    $dom.document.on('click', '[data-item-toggle="approved"]', function() {
        $self = $(this);
        Swal.fire({
            type: 'question',
            title: 'Approved?',
            text: 'Item will be inputted to inventory upon submission',
            showCancelButton: true,
            focusCancel: true,
            confirmButtonText: 'Yes'
        }).then((result) => {
            if (result.value) {
                index = $self.attr('data-submit-target');
                $.post('{{ url_for(".change_item_status", _id=record._id) }}', {'index': index, 'status': 2}, function() {})
                .done(function(response) {
                    if (isDefined(response.success) && response.success) {
                        $current_td = $self.closest('td');
                        $current_td.html('{0} by {1}'.format(response.date_approved, response.by));
                    }
                })
                .fail(function() {
                    Swal.fire('Error', 'Server Error', 'error');
                });
            }
        });
    });

    $dom.document.ready(function() {
        $('[data-crud="details"] .card-footer').hideCustom();
    });
</script>
